Create (overwrite) variants for a feature in an environment

View as Markdown
This overwrites the current variants for the feature flag in the :featureName parameter for the :environment parameter. The backend will validate the input for the following invariants: * If there are variants, there needs to be at least one variant with `weightType: variable` * The sum of the weights of variants with `weightType: fix` must be strictly less than 1000 (< 1000) The backend will also distribute remaining weight up to 1000 after adding the variants with `weightType: fix` together amongst the variants of `weightType: variable`

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

projectIdstringRequired
featureNamestringRequired
environmentstringRequired

Request

variantsSchema

Response

featureVariantsSchema
versioninteger
The version of the feature variants schema.
variantslist of objects
All variants defined for a specific feature flag.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error